commit: 270e67cd5f06375a10d22122a08391a63fbe0352
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 23 07:07:28 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Apr 23 07:25:31 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=270e67cd
dev-python/line_profiler: Bump to 3.2.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/line_profiler/Manifest | 1 +
.../line_profiler/line_profiler-3.2.1.ebuild | 45 ++++++++++++++++++++++
2 files changed, 46 insertions(+)
diff --git a/dev-python/line_profiler/Manifest
b/dev-python/line_profiler/Manifest
index af93c64fe4d..29d93958e28 100644
--- a/dev-python/line_profiler/Manifest
+++ b/dev-python/line_profiler/Manifest
@@ -1 +1,2 @@
DIST line_profiler-3.0.2.tar.gz 45185 BLAKE2B
04e617cc7b6c9686192281ab1cdfdef2cfc6ce3c7aa6b9962ed2369620618af8835b93bafe89f8d1288b45d4120d71f728ec577d5c5d035699c2d7a49d6be7c1
SHA512
9a5d1821c02fc063081854ba98a17eca21af65d5aecf4ce32c67806d31bf0c936291a30409845ce6f94211cdaaaf0859ab5e2b437e1a086fd4f60fc2a0fd2742
+DIST line_profiler-3.2.1.gh.tar.gz 54639 BLAKE2B
8840ac41397aa5d5c0cb94dec5f673a021a9bad18a7d67d73a2d90bf59745c5e35f205d67d28edd3ceade075320c6fe00426d5cf536b9b2953fbbf90539a5e9a
SHA512
6e4e0fcb44df6a4eeafa66e8254e511ef0a0c616e9c2bb4bac6bc29df5efa1849f9e75e998770ec6fbe62916a22b17465cdc6eeee6c61ffa52658a9bdb773490
diff --git a/dev-python/line_profiler/line_profiler-3.2.1.ebuild
b/dev-python/line_profiler/line_profiler-3.2.1.ebuild
new file mode 100644
index 00000000000..f654df56292
--- /dev/null
+++ b/dev-python/line_profiler/line_profiler-3.2.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+# force it to match scikit-build
+CMAKE_MAKEFILE_GENERATOR=ninja
+
+inherit cmake distutils-r1
+
+DESCRIPTION="Line-by-line profiler"
+HOMEPAGE="https://github.com/pyutils/line_profiler/"
+SRC_URI="
+ https://github.com/pyutils/line_profiler/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/ipython[${PYTHON_USEDEP}]"
+# technically, the package claims to support non-scikit-build build
+# but it's clearly unmaintained and broken at the moment
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-python/scikit-build[${PYTHON_USEDEP}]
+ test? (
+ dev-python/coverage[${PYTHON_USEDEP}]
+ dev-python/ubelt[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests --install pytest
+
+src_prepare() {
+ cmake_src_prepare
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ distutils_install_for_testing
+ cd tests || die
+ epytest
+}